<?php	//vars.php : contient toutes les valeurs pour construire chaque batiments, unités ou technologies
if (!isset($technolo)) {
	$race = 'none';
	include(_FCORE."../game/noms.php");
}
$nanite = 0;

/*
 * Défenses
 */
	//Attaque
	$defense_at = array(10,35,70,250,50);
	//D&eacute;fense (bouclier)
	$defense_bc = array(0,15,30,35,100);
	//Coque (pv)
	$defense_pv = array(15,45,45,240,100);

	//Débris de métal
	$defense_md = array(300,300,300,300,300);
	//Débris de cristal
	$defense_cd = array(300,300,300,300,300);

	//Rapide fire (nombre d'attaque par phase envers un vaisseau)
	$defense_rf = array(	array(1,1,1,1,1,1,1,1,1,1,1,1),
							array(1,1,1,1,1,1,1,1,1,1,1,1),
							array(1,1,1,1,1,1,1,1,1,1,1,1),
							array(1,1,1,1,1,1,1,1,1,1,1,1),
							array(1,1,1,1,1,1,1,1,1,1,1,1));

/*
 * Vaisseaux
 */
	//Nombre maximal de ressources embarqu&eacute;
	$nomvais_rs = array(5000,25000,7500,10,20000,50,300,4000,3000,10000,0,30000);

	//Coefficient vitesse courte distance : temps pour parcourir un syst&egrave;me
	$nomvais_dc = array(50,50,50,100,50,50,50,50,50,50,50,50);
	//Temps de pr&eacute;paration courte distance : temps de pr&eacute;paration &agrave; compter avant tout d&eacute;placement
	$nomvais_pdc = array(900,900,900,35,900,900,900,900,900,900,900,900);
	//Coefficient vitesse longue distance : temps pour parcourir un syst&egrave;me
	$nomvais_dl = array(0,54,54,0,54,0,54,54,54,54,0,54);
	//Temps de pr&eacute;paration longue distance
	$nomvais_pdl = array(0,0,0,0,0,0,0,0,0,0,0,0);
	//Temps de chauffe
	$nomvais_cdl = array(0,20,20,0,20,0,0,20,20,20,0,20);

	//Attaque
	$nomvais_at = array(10,5,10,0.5,20,30,70,400,1600,2400,4500,4000);
	//D&eacute;fense (bouclier)
	$nomvais_bc = array(0,40,500,1,1200,0,10,70,1000,2400,4000,3600);
	//Coque (pv)
	$nomvais_pv = array(40,80,400,1,300,40,90,450,1500,2000,5000,5000);
	//Débris de métal
	$nomvais_md = array(300,300,300,300,300,300,300,300,300,300,300,36000);
	//Débris de cristal
	$nomvais_cd = array(300,300,300,300,300,300,300,300,300,300,300,24000);
	//Rapide fire (nombre d'attaque par phase envers un vaisseau)
	$nomvais_rf = array(	array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Cargos petit
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Cargos grand
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Vaisseaux de colonisation
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Espionnage
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Recycleurs
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Longsword/Seraph
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Frégate
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Croiseurs de classe Halcyon
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Croiseurs de classe Marathon
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Porte vaisseaux
							array(1,1,1,1,1,1,1,1,1,1,1,1,1), //Station orbitale
							array(1,1,1,1,1,1,1,1,1,1,1,1,1)  //Super porte-vaisseaux
						);

$batimentVAR = array('mine_m','mine_c','mine_h','centrale_s','centrale_f','radar','labo','chantier_terrestre','chantier_spatial','caserne','silo','centre_info');
$batimentCALC = array(
	array(
		'$a = ceil(pow(1.5,$n)*68);',
		'$b = ceil(pow(1.5,$n)*17);',
		'$c = 0;',
		'$sec = (ceil(1.02*(1/(1+$nanite))*(3/(1+$planete->batiments[11]))*pow(1.5,$n))*(1/(1+$planete->casernes[7]*0.005)))*60;'
	),
	array(
		'$a = ceil(pow(1.6,$n)*53);',
		'$b = ceil(pow(1.6,$n)*27);',
		'$c = 0;',
		'$sec = (ceil(1.2*(1/(1+$nanite))*(3/(1+$planete->batiments[11]))*pow(1.55,$n))*(1/(1+$planete->casernes[7]*0.005)))*60;'
	),
	array(
		'$a = ceil(pow(1.5,$n)*242);',
		'$b = ceil(pow(1.5,$n)*72);',
		'$c = 0;',
		'$sec = (ceil(1.5*(1/(1+$nanite))*(3/(1+$planete->batiments[11]))*pow(1.624,$n))*(1/(1+$planete->casernes[7]*0.005)))*60;'
	),
	array(
		'$a = ceil(pow(1.5,$n)*92);',
		'$b = ceil(pow(1.5,$n)*37);',
		'$c = 0;',
		'$sec = (ceil(1.36*(1/(1+$nanite))*(3/(1+$planete->batiments[11]))*pow(1.597,$n))*(1/(1+$planete->casernes[7]*0.005)))*60;'
	),
	array(
		'$a = ceil(pow(1.73,$n)*800);',
		'$b = ceil(pow(1.73,$n)*420);',
		'$c = ceil(pow(1.68,$n)*285);',
		'$sec = (ceil(1.8*(1/(1+$nanite))*(3/(1+$planete->batiments[11]))*pow(1.7,$n))*(1/(1+$planete->casernes[7]*0.005)))*60;'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[5])*750);',
		'$b = ceil(pow(2,$planete->batiments[5])*500);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[5])*720)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[6])*200);',
		'$b = ceil(pow(2,$planete->batiments[6])*150);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[6])*720)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[7])*520);',
		'$b = ceil(pow(2,$planete->batiments[7])*380);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[7])*420)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[8])*600);',
		'$b = ceil(pow(2,$planete->batiments[8])*450);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[8])*600)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[9])*200);',
		'$b = ceil(pow(2,$planete->batiments[9])*100);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[9])*300)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(2,$planete->batiments[10])*400);',
		'$b = ceil(pow(2,$planete->batiments[10])*260);',
		'$c = 0;',
		'$sec = ceil((pow(2,$planete->batiments[10])*1200)/(pow(1.23,$planete->batiments[11])+0.0025*$planete->casernes[7]));'
	),
	array(
		'$a = ceil(pow(1.7,$planete->batiments[11])*600);',
		'$b = ceil(pow(1.7,$planete->batiments[11])*420);',
		'$c = ceil(pow(1.7,$planete->batiments[11])*100);',
		'$sec = ceil((pow(1.9,$planete->batiments[11])*800)/((0.0025*$planete->casernes[7])+1));'
	)
);
$batimentTECH = array(
	0,
	0,
	0,
	0,
	array(
		array($technolo[4], 'energie_t', 5),
		array($batiment[3], 'centrale_s', 12)
	),
	array(
		array($technolo[1], 'detection', 1)
	),
	0,
	0,
	array(
		array($batiment[7], 'chantier_terrestre', 2)
	),
	0,
	0,
	array(
		array($technolo[0], 'informatique', 2)
	)
);
$technoloVAR = array('informatique','detection','armement','blindage','energie_t','reacteur','reacteur_f','reacteur_ff','medecine','tactique','spartan','prodfile');
$technoloCALC = array(
	array(
		'$a = 0;',
		'$b = ceil(pow(2,$n)*500);',
		'$c = ceil(pow(2,$n)*150);',
		'$sec = ceil((420*2*($planete->technologies[0]+1))/pow(1.25,($planete->batiments[6]-1)));'
	),
	array(
		'$a=ceil(pow(2,$n)*500);',
		'$b=ceil(pow(2,$n)*750);',
		'$c=ceil(pow(2,$n)*100);',
		'$sec = ceil((600*2*($planete->technologies[1]+1))/pow(1.25,($planete->batiments[6]-2)));'
	),
	array(
		'$a=ceil(pow(2,$n)*2500);',
		'$b=ceil(pow(2,$n)*500);',
		'$c = 0;',
		'$sec = ceil((1500*2*($planete->technologies[2]+1))/pow(1.25,($planete->batiments[6]-5)));'
	),
	array(
		'$a=ceil(pow(2,$n)*4000);',
		'$b=ceil(pow(2,$n)*1500);',
		'$c = 0;',
		'$sec = ceil((1710*2*($planete->technologies[3]+1))/pow(1.25,($planete->batiments[6]-4)));'
	),
	array(
		'$a=ceil(pow(2,$n)*2000);',
		'$b=ceil(pow(2,$n)*1500);',
		'$c=ceil(pow(2,$n)*300);',
		'$sec = ceil((900*2*($planete->technologies[4]+1))/pow(1.25,($planete->batiments[6]-2)));'
	),
	array(
		'$a=ceil(pow(2,$n)*1400);',
		'$b=ceil(pow(2,$n)*400);',
		'$c = 0;',
		'$sec = ceil((510*2*($planete->technologies[5]+1))/pow(1.25,($planete->batiments[6]-2)));'
	),
	array(
		'$a=ceil(pow(2,$n)*3000);',
		'$b=ceil(pow(2,$n)*2100);',
		'$c=ceil(pow(2,$n)*750);',
		'$sec = ceil((1650*2*($planete->technologies[6]+1))/pow(1.25,($planete->batiments[6]-4)));'
	),
	array(
		'$a=ceil(pow(2,$n)*5000);',
		'$b=ceil(pow(2,$n)*4000);',
		'$c=ceil(pow(2,$n)*1500);',
		'$sec = ceil((2400*2*($planete->technologies[7]+1))/pow(1.25,($planete->batiments[6]-6)));'
	),
	array(
		'$a=ceil(pow(2,$n)*800);',
		'$b=ceil(pow(2,$n)*1000);',
		'$c = 0;',
		'$sec = ceil((360*2*($planete->technologies[8]+1))/pow(1.25,($planete->batiments[6]-1)));'
	),
	array(
		'$a=ceil(pow(2,$n)*2600);',
		'$b=ceil(pow(2,$n)*2600);',
		'$c = 0;',
		'$sec = ceil((4410*2*($planete->technologies[9]+1))/pow(1.25,($planete->batiments[6]-3)));'
	),
	array(
		'$a=ceil(pow(3,$n)*5200);',
		'$b=ceil(pow(3,$n)*4250);',
		'$c=ceil(pow(3,$n)*850);',
		'$sec = ceil((5000*2*($planete->technologies[10]+1))/pow(1.25,($planete->batiments[6]-8)));'
	),
	array(
		'$a=ceil(pow(4,$n)*6200);',
		'$b=ceil(pow(5,$n)*5250);',
		'$c=ceil(pow(3,$n)*4550);',
		'$sec = ceil(pow(3,$n)*5560/pow(1.25,($planete->batiments[6]-1)));'
	)
);
$technoloTECH = array(
	array(
		array($batiment[6], 'labo', 1)
	),
	array(
		array($batiment[6],'labo', 2),
		array($technolo[0], 'informatique', 2)
	),
	array(
		array($batiment[6], 'labo', 5)
	),
	array(
		array($batiment[6], 'labo', 4)
	),
	array(
		array($batiment[6], 'labo', 2)
	),
	array(
		array($batiment[6], 'labo', 2)
	),
	array(
		array($batiment[6], 'labo', 4),
		array($technolo[4], 'energie_t', 2),
		array($technolo[5], 'reacteur', 4)
	),
	array(
		array($batiment[6], 'labo', 6),
		array($technolo[4], 'energie_t', 5),
		array($technolo[6], 'reacteur_f', 4)
	),
	array(
		array($batiment[6], 'labo', 1)
	),
	array(
		array($batiment[6], 'labo', 3)
	),
	array(
		array($batiment[6], 'labo', 8),
		array($technolo[8], 'medecine', 5),
		array($technolo[0], 'informatique', 8)
	),
	array(
		array($batiment[6], 'labo', 10),
		array($technolo[0], 'informatique', 8)
	)
);
$casernenVAR = array('soldat1','soldat2','soldat3','soldat4','sniper','spartan','medecin','ingenieur','soldat_lourd');
$casernenCALC = array(
	array(
		80,
		45,
		0,
		'$sec = ceil(60/pow(1.25,($planete->batiments[9]-1)));'
	),
	array(
		110,
		90,
		0,
		'$sec = ceil(240/pow(1.25,($planete->batiments[9]-2)));'
	),
	array(
		150,
		105,
		20,
		'$sec = ceil(240/pow(1.25,($planete->batiments[9]-3)));'
	),
	array(
		220,
		150,
		0,
		'$sec = ceil(720/pow(1.25,($planete->batiments[9]-5)));'
	),
	array(
		180,
		100,
		0,
		'$sec = ceil(300/pow(1.25,($planete->batiments[9]-3)));'
	),
	array(
		25000,
		10000,
		0,
		'$sec = ceil(29700/pow(1.25,($planete->batiments[9]-10)));'
	),
	array(
		100,
		100,
		0,
		'$sec = ceil(90/pow(1.25,($planete->batiments[9]-2)));',
		0
	),
	array(
		90,
		105,
		0,
		'$sec = ceil(90/pow(1.25,($planete->batiments[9]-2)));'
	),
	array(
		300,
		250,
		0,
		'$sec = ceil(900/pow(1.25,($planete->batiments[9]-5)));'
	)
);
$casernenTECH = array(
	array(
		array($batiment[9], 'caserne', 1)
	),
	array(
		array($batiment[9], 'caserne', 2)
	),
	array(
		array($batiment[9], 'caserne', 3),
		array($technolo[2], 'armement', 2)
	),
	array(
		array($batiment[9], 'caserne', 5),
		array($technolo[2], 'armement', 3),
		array($technolo[9], 'tactique', 2)
	),
	array(
		array($batiment[9], 'caserne', 3),
		array($technolo[2], 'armement', 1)
	),
	array(
		array($batiment[9], 'caserne', 10),
		array($technolo[2], 'armement', 5),
		array($technolo[3], 'blindage', 5),
		array($technolo[10], 'spartan', 3)
	),
	array(
		array($batiment[9], 'caserne', 2),
		array($technolo[8], 'medecine', 2)
	),
	array(
		array($batiment[9], 'caserne', 2)
	),
	array(
		array($batiment[9], 'caserne', 5),
		array($technolo[2], 'armement', 4),
		array($technolo[3], 'blindage', 2)
	)
);
$nomterrnVAR = array('vais_0','vais_1','vais_2','vais_3','vcl_1','vcl_2','vcl_3','vcl_4','def_1','def_2','def_3','def_4','def_5');
$nomterrnCALC = array(
	array(
		500,
		300,
		0,
		'$sec = ceil(720/pow(1.25,($planete->batiments[7]-1)));',
		0
	),
	array(
		680,
		420,
		0,
		'$sec = ceil(2040/pow(1.25,($planete->batiments[7]-3)));',
		0
	),
	array(
		1000,
		600,
		0,
		'$sec = ceil(7200/pow(1.25,($planete->batiments[7]-4)));',
		0
	),
	array(
		1400,
		950,
		0,
		'$sec = ceil(3960/pow(1.25,($planete->batiments[7]-6)));',
		0
	),
	array(
		400,
		240,
		0,
		'$sec = ceil(600/pow(1.25,($planete->batiments[7]-1)));',
		0
	),
	array(
		480,
		260,
		0,
		'$sec = ceil(1080/pow(1.25,($planete->batiments[7]-2)));',
		0
	),
	array(
		600,
		420,
		0,
		'$sec = ceil(2160/pow(1.25,($planete->batiments[7]-3)));',
		0
	),
	array(
		1000,
		500,
		0,
		'$sec = ceil(4680/pow(1.25,($planete->batiments[7]-5)));',
		0
	),
	array(
		430,
		230,
		0,
		'$sec = ceil(1080/pow(1.25,($planete->batiments[7]-1)));',
		1
	),
	array(
		1250,
		650,
		80,
		'$sec = ceil(2040/pow(1.25,($planete->batiments[7]-3)));',
		1
	),
	array(
		2500,
		1750,
		100,
		'$sec = ceil(7200/pow(1.25,($planete->batiments[7]-4)));',
		1
	),
	array(
		6000,
		3750,
		120,
		'$sec = ceil(3960/pow(1.25,($planete->batiments[7]-7)));',
		1
	),
	array(
		15000,
		9500,
		1500,
		'$sec = ceil(3960/pow(1.25,($planete->batiments[7]-9)));',
		1
	)
);
$nomterrnTECH = array(
	array(
		array($batiment[7], 'chantier_terrestre', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 3),
		array($technolo[2], 'armement', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 4),
		array($technolo[5], 'reacteur', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 6),
		array($technolo[5], 'reacteur', 3)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 2)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 3),
		array($technolo[2], 'armement', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 5),
		array($technolo[2], 'armement', 2),
		array($technolo[3], 'blindage', 2)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 3),
		array($technolo[4], 'energie_t', 2)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 4),
		array($technolo[2], 'armement', 1)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 4),
		array($technolo[2], 'armement', 3),
		array($technolo[4], 'energie_t', 3)
	),
	array(
		array($batiment[7], 'chantier_terrestre', 8),
		array($technolo[2], 'armement', 5),
		array($technolo[0], 'informatique', 3)
	)
);
$nomvaisnVAR = array('vaisseau_1','vaisseau_2','vaisseau_3','vaisseau_4','vaisseau_5','vaisseau_6','vaisseau_7','vaisseau_8','vaisseau_9','vaisseau_10','vaisseau_11','vaisseau_12');
$nomvaisnCALC = array(
	array(
		1000,
		800,
		0,
		'$sec = ceil(1080/pow(1.25,($planete->batiments[8]-1)));'
	),
	array(
		4000,
		3000,
		0,
		'$sec = ceil(6300/pow(1.25,($planete->batiments[8]-5)));'
	),
	array(
		9000,
		9000,
		1000,
		'$sec = ceil(8280/pow(1.25,($planete->batiments[8]-5)));'
	),
	array(
		1000,
		1200,
		100,
		'$sec = ceil(1440/pow(1.25,($planete->batiments[8]-3)));'
	),
	array(
		15000,
		9000,
		1000,
		'$sec = ceil(7380/pow(1.25,($planete->batiments[8]-5)));'
	),
	array(
		1800,
		1000,
		0,
		'$sec = ceil(1200/pow(1.25,($planete->batiments[8]-1)));'
	),
	array(
		2550,
		1350,
		65,
		'$sec = ceil(4680/pow(1.25,($planete->batiments[8]-3)));'
	),
	array(
		12950,
		6900,
		100,
		'$sec = ceil(16800/pow(1.25,($planete->batiments[8]-6)));'
	),
	array(
		26000,
		16400,
		1600,
		'$sec = ceil(18060/pow(1.25,($planete->batiments[8]-6)));'
	),
	array(
		60000,
		40000,
		3000,
		'$sec = ceil(32400/pow(1.25,($planete->batiments[8]-8)));'
	),
	array(
		500000,
		400000,
		250000,
		'$sec = ceil(117000/pow(1.25,($planete->batiments[8]-12)));'
	),
	array(
		500000,
		400000,
		250000,
		'$sec = ceil(117000/pow(1.25,($planete->batiments[8]-12)));'
	)
);
$nomvaisnTECH = array(
	array(
		array($batiment[8], 'chantier_spatial', 1),
		array($technolo[5], 'reacteur', 4)
	),
	array(
		array($batiment[8], 'chantier_spatial', 5),
		array($technolo[6], 'reacteur_f', 2)
	),
	array(
		array($batiment[8], 'chantier_spatial', 5),
		array($technolo[7], 'reacteur_ff', 1)
	),
	array(
		array($batiment[8], 'chantier_spatial', 3),
		array($technolo[5], 'reacteur', 5),
		array($technolo[1], 'detection', 2)
	),
	array(
		array($batiment[8], 'chantier_spatial', 5),
		array($technolo[6], 'reacteur_f', 5),
		array($technolo[3], 'blindage', 2)
	),
	array(
		array($batiment[8], 'chantier_spatial', 1),
		array($technolo[5], 'reacteur', 4)
	),
	array(
		array($batiment[8], 'chantier_spatial', 3),
		array($technolo[6], 'reacteur_f', 3),
		array($technolo[2], 'armement', 1)
	),
	array(
		array($batiment[8], 'chantier_spatial', 6),
		array($technolo[7], 'reacteur_ff', 2),
		array($technolo[2], 'armement', 3),
		array($technolo[3], 'blindage', 4)
	),
	array(
		array($batiment[8], 'chantier_spatial', 6),
		array($technolo[7], 'reacteur_ff', 3),
		array($technolo[2], 'armement', 4),
		array($technolo[3], 'blindage', 4)
	),
	array(
		array($batiment[8], 'chantier_spatial', 8),
		array($technolo[7], 'reacteur_ff', 5),
		array($technolo[2], 'armement', 6),
		array($technolo[3], 'blindage', 6)
	),
	array(
		array($batiment[8], 'chantier_spatial', 12),
		array($technolo[7], 'reacteur_ff', 10),
		array($technolo[2], 'armement', 12),
		array($technolo[3], 'blindage', 12)
	),
	array(
		array($batiment[8], 'chantier_spatial', 12),
		array($technolo[7], 'reacteur_ff', 10),
		array($technolo[2], 'armement', 12),
		array($technolo[3], 'blindage', 12)
	)
);
$coeffVAR = array('coeff_mine_m', 'coeff_mine_c', 'coeff_mine_h', 'coeff_centrale_s', 'coeff_centrale_f');
?>